use crate::filter::Filter;

/// Endpoints are a non-returning trait.
/// Because endpoints *should* be the last thing in the chain, you *should* manage errors in there!
pub trait Endpoint<T>: Filter<T> {
    fn handle(&mut self, item: T);
}
